The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  ВХОД  слежка  RSS
"Не проходит компиляция Apache+SSL под Solaris 9"
Вариант для распечатки Архивированная нить - только для чтения! 
Пред. тема | След. тема 
Форумы OpenNET: Виртуальная конференция (Public)
Изначальное сообщение [Проследить за развитием треда]

"Не проходит компиляция Apache+SSL под Solaris 9"
Сообщение от wIT emailИскать по авторуВ закладки(ok) on 09-Июн-04, 10:57  (MSK)
Что имеем...
Solaris 9 4/04 (INTEL)- Полная установка, кроме Apache
apache - 1.3.31
openssl-0.9.7d
mod_ssl-2.8.18-1.3.31
mm-1.3.0
gcc-3.4.0-sol9-intel-local

Делаем как описано... под рутом

$ cd openssl-0.9.x                                                    
     $ sh config \                                                        
            no-idea \                                                      
            no-threads \                                              
            -fPIC                                                    
     $ make                                                              
     $ make test                                                    

cd mm-1.1.x                                                    
     $ ./configure --disable-shared                                  
     $ make                                                          


cd mod_ssl-2.8.x-1.3.x                                          
        $ ./configure \                                          
              --with-apache=../apache_1.3.x \                      
              --with-ssl=../openssl-0.9.x \                            
              --with-mm=../mm-1.1.x \                            
              --prefix=/path/to/apache \                              


cd ..                                                    
        $ cd apache_1.3.x                                      
        $ make                                                      
Все проходит , но при
компиляции apache выдает следующую ошибку
<=== src/modules/ssl
<=== src/modules
gcc -c -I./../../mm-1.3.0 -I./os/unix -I./include   -DSOLARIS2=290 -DMOD_SSL=208118 -DEAPI -DEAPI_MM -DUSE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` modules.c
gcc -c -I./../../mm-1.3.0 -I./os/unix -I./include   -DSOLARIS2=290 -DMOD_SSL=208118 -DEAPI -DEAPI_MM -DUSE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` buildmark.c
gcc  -DSOLARIS2=290 -DMOD_SSL=208118 -DEAPI -DEAPI_MM -DUSE_EXPAT -I./lib/expat-lite -DNO_DL_NEEDED `./apaci` -L/opt/ApSSLPHP/openssl-0.9.7d -L./../../mm-1.3.0/.libs   \
      -o httpd buildmark.o modules.o  modules/ssl/libssl.a  modules/standard/libstandard.a  main/libmain.a  ./os/unix/libos.a  ap/libap.a  lib/expat-lite/libexpat.a  -lsocket -lnsl -lpthread  -lssl -lcrypto -lmm
Undefined                       first referenced
symbol                             in file
ssl_expr_yylex                      modules/ssl/libssl.a(ssl_expr_parse.o)
ld: fatal: Symbol referencing errors. No output written to httpd
collect2: ld returned 1 exit status
*** Error code 1
make: Fatal error: Command failed for target `target_static'
Current working directory /opt/ApSSLPHP/apache_1.3.31/src
*** Error code 1
make: Fatal error: Command failed for target `build-std'
Current working directory /opt/ApSSLPHP/apache_1.3.31
*** Error code 1
make: Fatal error: Command failed for target `build'

Помогите кто может, очень надо!!!.

  Рекомендовать в FAQ | Cообщить модератору | Наверх

 Оглавление

Индекс форумов | Темы | Пред. тема | След. тема
Сообщения по теме

1. "Не проходит компиляция Apache+SSL под Solaris 9"
Сообщение от FtoR emailИскать по авторуВ закладки(ok) on 09-Июн-04, 11:51  (MSK)
Слушай, смени-ка компилятор для начала на ниже версию. Я еще 1.3.31 не собирал, но как показывает практика проблем не должно быть, по крайней мере с 1.3.29 и openssl и компилятором 3.3.x
Почему версия насчет компилятора: собирал здесь для себя станцию, делал всякие сборки Fluxbox и т.п. под спарк, дай думаю потестирую gcc 3.4.0, замучился, пока не понизил версию компилятора.
  Рекомендовать в FAQ | Cообщить модератору | Наверх

2. "Не проходит компиляция Apache+SSL под Solaris 9"
Сообщение от wIT emailИскать по авторуВ закладки(ok) on 09-Июн-04, 12:01  (MSK)
>Слушай, смени-ка компилятор для начала на ниже версию. Я еще 1.3.31 не
>собирал, но как показывает практика проблем не должно быть, по крайней
>мере с 1.3.29 и openssl и компилятором 3.3.x
>Почему версия насчет компилятора: собирал здесь для себя станцию, делал всякие сборки
>Fluxbox и т.п. под спарк, дай думаю потестирую gcc 3.4.0, замучился,
>пока не понизил версию компилятора.


Спасибо , попробую

  Рекомендовать в FAQ | Cообщить модератору | Наверх

3. "Не проходит компиляция Apache+SSL под Solaris 9"
Сообщение от wIT emailИскать по авторуВ закладки(ok) on 09-Июн-04, 17:33  (MSK)
Поставил другой компилятор gcc-3.3.2 , не помогло, тоже самое выдает!!!!
Попробую низший APACHE.....

Помогите , есть еще мысли...????

  Рекомендовать в FAQ | Cообщить модератору | Наверх

4. "Не проходит компиляция Apache+SSL под Solaris 9"
Сообщение от FtoR emailИскать по авторуВ закладки(ok) on 09-Июн-04, 17:51  (MSK)
>Поставил другой компилятор gcc-3.3.2 , не помогло, тоже самое выдает!!!!
>Попробую низший APACHE.....
>
>Помогите , есть еще мысли...????

Моя сборка.
apache 1.3.29rus
mod_ssl-2.8.16-1.3.29
openssl-0.9.7c - (32-битная сборка!, при 64-битной один из тестов надо исключить из проверки, после генерации сертификатов начинаются проблемы с апачем, мод_ссл - т.к. все надо отправлять в 64 битную сборку)

все штатно
cd mod_ssl-2.8.16-13.29
./configure --with-apache=../apache-1.3.29RUS

cd with-apache-1.3.29RUS
./configure --ebable-module=ssl --enable-shared=max
make
make certficate
make install

Никаких проблем. Естественно crle, LD_LIBRARY_PATH не забываем.

  Рекомендовать в FAQ | Cообщить модератору | Наверх

5. "Не проходит компиляция Apache+SSL под Solaris 9"
Сообщение от wIT emailИскать по авторуВ закладки(ok) on 09-Июн-04, 18:46  (MSK)
А можно по подробнее про crle и LD_LIBRARY_PATH , что там писать??????
Я как бы новичок в этом деле...., можно по конкретнее....?????
Заранее спасибо...
У меня переменные окружения...

LD_LIBRARY_PATH=/usr/lib:/usr/local/lib:.
LIBDIR=/usr/lib:/usr/local/lib
LOGNAME=root
PATH=/bin:/usr/bin:/usr/openwin/bin:/usr/sbin:/usr/ccs/bin:/sbin:/usr/local/bin:/opt/sfw/bin:/usr/ucb:/usr/lib:/usr/local/lib:/usr/ccs/lib:/usr/include:/usr/local/ssl/bin:.
SHELL=/sbin/sh

И кстати попробовал Apache 1.3.29 , все равно выдает туже ошибку....(см.выше) ..думаю где то в путях к библионекам ошибка..., а где???

  Рекомендовать в FAQ | Cообщить модератору | Наверх

6. "Не проходит компиляция Apache+SSL под Solaris 9"
Сообщение от lavr emailИскать по авторуВ закладки on 09-Июн-04, 18:58  (MSK)
>А можно по подробнее про crle и LD_LIBRARY_PATH , что там писать??????
>
>Я как бы новичок в этом деле...., можно по конкретнее....?????
>Заранее спасибо...
>У меня переменные окружения...
>
>LD_LIBRARY_PATH=/usr/lib:/usr/local/lib:.
>LIBDIR=/usr/lib:/usr/local/lib
>LOGNAME=root
>PATH=/bin:/usr/bin:/usr/openwin/bin:/usr/sbin:/usr/ccs/bin:/sbin:/usr/local/bin:/opt/sfw/bin:/usr/ucb:/usr/lib:/usr/local/lib:/usr/ccs/lib:/usr/include:/usr/local/ssl/bin:.
>SHELL=/sbin/sh
>
>И кстати попробовал Apache 1.3.29 , все равно выдает туже ошибку....(см.выше) ..думаю
>где то в путях к библионекам ошибка..., а где???

http://docs.sun.com/db/doc/817-3677

man ld
man ld.so.1
man crle

  Рекомендовать в FAQ | Cообщить модератору | Наверх

7. "Не проходит компиляция Apache+SSL под Solaris 9"
Сообщение от FtoR Искать по авторуВ закладки(ok) on 09-Июн-04, 19:03  (MSK)
>>А можно по подробнее про crle и LD_LIBRARY_PATH , что там писать??????
>>
>>Я как бы новичок в этом деле...., можно по конкретнее....?????
>>Заранее спасибо...
>>У меня переменные окружения...
>>
>>LD_LIBRARY_PATH=/usr/lib:/usr/local/lib:.
>>LIBDIR=/usr/lib:/usr/local/lib
>>LOGNAME=root
>>PATH=/bin:/usr/bin:/usr/openwin/bin:/usr/sbin:/usr/ccs/bin:/sbin:/usr/local/bin:/opt/sfw/bin:/usr/ucb:/usr/lib:/usr/local/lib:/usr/ccs/lib:/usr/include:/usr/local/ssl/bin:.
>>SHELL=/sbin/sh
>>
>>И кстати попробовал Apache 1.3.29 , все равно выдает туже ошибку....(см.выше) ..думаю
>>где то в путях к библионекам ошибка..., а где???
>
>http://docs.sun.com/db/doc/817-3677
>
>man ld
>man ld.so.1
>man crle


Пути ты потерял к ssl, вот и вся проблема.
/usr/local/ssl/lib - crle или LD_LIBRARY_PATH
PATH - /usr/local/ssl/bin
Все нужно добавить.
lavr правильно сказал, сначала маны прочитай, потом сборкой занимайся под соляркой.

  Рекомендовать в FAQ | Cообщить модератору | Наверх

8. "Не проходит компиляция Apache+SSL под Solaris 9"
Сообщение от wIT emailИскать по авторуВ закладки(ok) on 09-Июн-04, 19:22  (MSK)
Спасибо за ссыллку....А можно по конкретнее..., нет времени совсем разбираться....надо срочно.....Укажите где же все таки ошибка...
Заранее спасибо
  Рекомендовать в FAQ | Cообщить модератору | Наверх


Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Пожалуйста, прежде чем написать сообщение, ознакомьтесь с данными рекомендациями.




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру